Bug 2680 - Broken interaction with files on Win2003 DFS root
Broken interaction with files on Win2003 DFS root
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.14a
x86 Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 11:55 UTC by Tim Otten
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
fix interaction with files on dfs root share, obey -P option, support connecting to an 'msdfs proxy' share (4.30 KB, patch)
2005-05-09 15:36 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Otten 2005-05-04 11:55:02 UTC
I recently upgraded from 3.0.10 to 3.0.14a. According to the changelogs,
smbclient has gained support for DFS. This mostly seems to work -- it follows
links correctly. (Hooray!) However, I have trouble accessing files which are
stored on the DFS root share.

Configuration:

Server: Windows Server 2003 (call this "srv")
* Exports G:\ as \\srv\users (which is also a DFS root)
* Exports G:\ as \\srv\test (which uses the same share permissions as users, but
it's not a DFS root)

Client: Debian (Sarge)

Goals:
* Download G:\tim\foo.xls to /tmp
* Upload /tmp/hey.txt to G:\tim\hey.txt

Under 3.0.10, upload and download work if I start my session with either

    smbclient //srv/users

or

    smbclient //srv/test

Under 3.0.14a, upload and download work if I use

    smbclient //srv/test

But they don't work if I use

    smbclient //srv/users

Below are the errors that I get.

smb: \tim\> ls foo.xls
  foo.xls                             A    21504  Fri Apr 29 23:50:54 2005

                49999 blocks of size 524288. 46950 blocks available
smb: \tim\> get foo.xls
NT_STATUS_FILE_IS_A_DIRECTORY opening remote file \tim\foo.xls
smb: \tim\> !ls hey.txt
hey.txt
smb: \tim\> put hey.txt
Failed to open \tim\hey.txt: NT_STATUS_OBJECT_NAME_NOT_FOUND
smb: \tim\>
Comment 1 Gerald (Jerry) Carter 2005-05-07 07:04:25 UTC
will get this fixed for the next stable release.
Comment 2 Gerald (Jerry) Carter 2005-05-09 15:36:45 UTC
Created attachment 1212 [details]
fix interaction with files on dfs root share, obey -P option, support connecting to an 'msdfs proxy' share
Comment 3 Gerald (Jerry) Carter 2005-05-09 15:37:00 UTC
patch attached (checking it in to svn).
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:19:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.